//  File: KifReal.java

/*  Set tabstop = 4 to read this file.
*
*   Maintanence History:
*/


package jkp;

import jbf.*;
import java.lang.*;


/**
 * The  class for KIF term of real(float) number.
 * @author  <A href="http://www.cs.umbc.edu/~xluan1/">Xiaocheng LUAN</A>
 */
public class KifReal extends KifTerm {
	
	public KifReal(String floatString)
	{
		super(floatString);
		setType(KifObj.KIF_REALTERM);
	}

	
	public KifReal(float floatValue)
	{
		setType(KifObj.KIF_REALTERM);
		_termString = String.valueOf(floatValue);
	}
}



